### Class

# Spelling Language

unstable since: 1

#### Description

    abstract class Spelling.Language : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1

#### Ancestors

- GObject

#### Instance methods

###### spelling_language_add_word

No description available.

unstable since: 1

###### spelling_language_contains_word

No description available.

unstable since: 1

###### spelling_language_get_code

No description available.

unstable since: 1

###### spelling_language_get_extra_word_chars

No description available.

unstable since: 1

###### spelling_language_ignore_word

No description available.

unstable since: 1

###### spelling_language_list_corrections

Retrieves a list of possible corrections for `word`.

unstable since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Language:code

No description available.

unstable since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct SpellingLanguageClass {
      /* no available fields */
    }

No description available.